package com.huatek.busi.service.threshold;

import java.util.Map;

import com.huatek.busi.dto.TransformerOilThresholdDto;
import com.huatek.busi.vo.TransformerOilThresholdVo;

/**
 * 变压器油色谱阈值表 Service
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:26 PM
 */
public interface TransformerOilThresholdService {

    int save(TransformerOilThresholdDto dto);

    int update(TransformerOilThresholdDto dto);

    TransformerOilThresholdVo getBySensorCode(String sensorCode);

    /**
     * 返回阈值、预警值等
     * 
     * @param sensorCode
     * @return
     */
    Map<String, Object> getThresholdMap(String sensorCode);

    /**
     * 根据sensor编码更新变压器油色谱阈值
     */
    int updateTransformerOilThresholdBySensorCode(String oldSensorCode, String newSensorCode);

    /**
     * 根据sensor编码更新变压器油色谱阈值
     */
    int delTransformerOilThresholdBySensorCode(String sensorCode);

    Map<String, Object> findType(String sensorCode);
}
